%global jbig2dec_version 0.19

Name:             zathura-pdf-mupdf
Version:          0.4.1
Release:          1%{?dist}
Summary:          PDF support for zathura via mupdf
License:          zlib
URL:              https://pwmt.org/projects/%{name}/
Source0:          %{url}/download/%{name}-%{version}.tar.xz
Patch1:           0001-Revert-Rework-detection-of-mupdf.patch
BuildRequires:    binutils
BuildRequires:    cairo-devel
BuildRequires:    desktop-file-utils
BuildRequires:    gcc
BuildRequires:    git-core
BuildRequires:    girara-devel
BuildRequires:    glib2-devel
BuildRequires:    libappstream-glib
BuildRequires:    libjpeg-turbo-devel
BuildRequires:    meson >= 0.43
BuildRequires:    mupdf-static >= 1.20
BuildRequires:    openjpeg2-devel
BuildRequires:    zathura-devel >= 0.3.9
BuildRequires:    gumbo-parser-devel
BuildRequires:    leptonica-devel
BuildRequires:    tesseract-devel
Requires:         zathura >= 0.3.9
BuildRequires:    jbig2dec-devel = %{jbig2dec_version}
BuildRequires:    jbig2dec-libs = %{jbig2dec_version}
Requires:         jbig2dec-libs = %{jbig2dec_version}
Conflicts:        zathura-pdf-poppler < 0.2.9


%description
This plugin adds PDF support to zathura using the mupdf rendering engine.


%prep
%autosetup -S git -p1


%build
%meson -Dlink-external=true
%meson_build


%install
%meson_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.metainfo.xml


%pre
[ -L %{_libdir}/zathura/pdf.so ] && rm -f %{_libdir}/zathura/pdf.so || :


%files
%license LICENSE
%doc AUTHORS
%{_libdir}/zathura/libpdf-mupdf.so
%{_datadir}/applications/org.pwmt.zathura-pdf-mupdf.desktop
%{_datadir}/metainfo/org.pwmt.zathura-pdf-mupdf.metainfo.xml


%changelog
